Talk to Comms about Discovery blog posts
Closed, ResolvedPublic1 Story Points

Ironholds created this task.Nov 6 2015, 7:53 PM
Ironholds updated the task description. (Show Details)
Ironholds raised the priority of this task from to Needs Triage.
Ironholds claimed this task.
Ironholds added a subscriber: Ironholds.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptNov 6 2015, 7:53 PM
Ironholds set Security to None.
Ironholds edited a custom field.

Waiting on setting up a meeting

Deskana triaged this task as Normal priority.Nov 10 2015, 9:07 PM
Deskana added a subscriber: Deskana.

Now done. They want to do something high-level first, and follow up with posts in detail about the team.

Deskana closed this task as Resolved.Feb 4 2016, 6:19 AM